Name:           ccze
Version:        0.2.1
Release:    1%{?dist}
Summary:        A robust log colorizer
Summary(ru):    Мощный коллоризатор логов

URL:            http://bonehunter.rulez.org/CCZE.html
License:        GPL-2.0-or-later
Source0:         ftp://bonehunter.rulez.org/pub/ccze/stable/ccze-%{version}.tar.gz
Patch0:         ccze-0.2.1-Wmulticharacter.patch
Patch1:         ccze-opts.diff
Patch2:         ccze-configure-c99.patch

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  ncurses-devel >= 5.0
BuildRequires:  pcre-devel >= 3.1

%description
CCZE is a roboust and modular log colorizer, with plugins for apm,
exim, fetchmail, httpd, postfix, procmail, squid, syslog, ulogd,
vsftpd, xferlog and more.

%description -l ru
CCZE это мощный и модульный раскрашиватель логов. Имеются модули-
-плагины для: apm, exim, fetchmail, httpd, postfix, procmail, squid,
syslog, ulogd, vsftpd, xferlog и другие.

%prep
%autosetup -p1

iconv -f ISO-8859-1 -t UTF-8 THANKS > THANKS.new
touch --reference THANKS THANKS.new
mv -f THANKS.new THANKS

%build
%configure --with-builtins=all
%make_build CFLAGS="%{optflags} -D__error_t_defined=1"

%install
%make_install

src/ccze-dump > cczerc
install -Dpm0644 -t %{buildroot}/%{_sysconfdir} cczerc

rm %{buildroot}/%{_includedir}/ccze.h

%files
%doc AUTHORS COPYING ChangeLog ChangeLog-0.1 NEWS README THANKS FAQ
%config(noreplace) %{_sysconfdir}/cczerc
%{_bindir}/ccze
%{_bindir}/ccze-cssdump
%{_mandir}/man1/ccze.1*
%{_mandir}/man1/ccze-cssdump.1*
%{_mandir}/man7/ccze-plugin.7*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.1-1
- initial build
